var _, advancedEditor, authorship, basicEditor, cursorManager;

_ = Quill.require('lodash');

advancedEditor = new Quill('.advanced-wrapper .editor-container', {
  modules: {
    'authorship': {
      authorId: 'advanced',
      enabled: true
    },
    'toolbar': {
      container: '.advanced-wrapper .toolbar-container'
    },
    'link-tooltip': true,
    'image-tooltip': true
  },
  styles: false,
  theme: 'snow'
});

authorship = advancedEditor.getModule('authorship');

authorship.addAuthor('basic', 'rgba(255,153,51,0.4)');


advancedEditor.on('text-change', function(delta, source) {
  var sourceDelta, targetDelta;
  if (source === 'api') {
    return;
  }
  sourceDelta = advancedEditor.getContents();
});

function setContent(value)
{
  advancedEditor.setHTML(value);
}

function getContent()
{
  return advancedEditor.getHTML();
}